<?php

namespace DefStudio\GameEngine\Listeners\Teams;

use DefStudio\GameEngine\Events\Stories\TeamUnsubscribedFromStory;

class TeamUnsubscribedFromStoryListener
{
    public function handle(TeamUnsubscribedFromStory $event): void
    {
        $event->team->unsetRelation('stories');
    }
}
